/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.znb.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.znb.entity.YhCbkxx;
import com.tofly.znb.service.YhCbkxxService;
import org.springframework.stereotype.Service;
import com.tofly.znb.mapper.YhCbkxxMapper;

import java.math.BigDecimal;

/**
 * 用户表计信息
 *
 * @author admin
 * @date Fri Aug 01 00:00:00 CST 2025
 */
@Service("yhCbkxxService")
public class YhCbkxxServiceImpl extends ServiceImpl<YhCbkxxMapper, YhCbkxx> implements YhCbkxxService {
    public void updateLjsl(String cbkid, BigDecimal jtzqljl) {
        if (cbkid == null) return;
        this.lambdaUpdate()
                .set(YhCbkxx::getLjsl, jtzqljl)
                .eq(YhCbkxx::getCbkid, cbkid)
                .update();
    }
}
